Bug 21256 - RFE: minimize-all option in taskbar
Summary: RFE: minimize-all option in taskbar
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Mason
QA Contact: Dale Lovelace
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-22 18:13 UTC by Ed McKenzie
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-22 18:13:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed McKenzie 2000-11-22 18:13:56 UTC
MacOS and Windows both have menu options or hotkeys (WinKey-M for the
latter) that let users minimize all windows at once. KDE has something
similar, I think, and it would be nice if it were possible to do this in
GNOME without minimizing each window by hand.

Comment 1 David Mason 2000-11-22 22:09:38 UTC
As GNOME has no 'official' window manager (the project has always taken the
stance that any wm that supports the wm hints is 'gnome compliant') this is hard
to do in the case of GNOME itself. I know that someone has written such a script
for sawfish (perhaps look on the sawfish lisp repository:
http://www.sics.se/~lofgren/sawmill/repository.html).

You could also pass this onto the maintainer of the wm you use if it is not
sawfish. I will keep this in mind as well for our default setup - thanks!

Comment 2 Ed McKenzie 2000-11-23 05:48:31 UTC
Yes, it would be hard to do this as a global hotkey. However, the gnome-taskbar
applet already supports minimizing individual windows, and 'iconify-all' would
just be another option on the right-button popup menu over the task buttons. I
don't think this would be any more WM-specific than iconifying a single window.
It could be as simple as just walking all the buttons in the taskbar and
minimizing them one by one.


Note You need to log in before you can comment on or make changes to this bug.